* {
    /border: 1px solid;
}

.body-contain {
    width: 100%;
    margin: 0;
}

/* contact section */

#contact-us-text {
    text-align: center;
}

.intro-text {
    width: 90%;
    margin: 4rem auto 4rem auto;
    max-width: 100rem;
}

.contact {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 125rem;
    margin: 0 auto;
    height: 50rem;
    background-color: white;
    z-index: 10;
    box-shadow: 0 2px 5px 1px rgba(0, 0, 0, 0.3);
    padding: 0.5rem;
    background: var(--ggray2);
}

.contact-us {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60rem;
    font-size: 2.2rem;
}

#contactForm {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.contact .right form .fields {
    display: flex;
    width: 100%;
}

.field.email input,
.field.name input,
.field.subject input {
    height: 3.5rem
}

.contact .right form .field,
.contact .right form .fields .field {
    width: 100%;
    margin-bottom: 1.5rem;
}

.contact .right form .name {
    margin-right: 2%;
}

.contact .right form .textarea textarea {
    height: auto;
}


.contact .right form .field input,
.contact .right form .textarea textarea {
    width: 100%;
    border: 0.1rem solid var(--gray5);
    border-radius: 0.5rem;
    outline: none;
    padding: 0 1.2rem;
    /* Increased padding */
    font-size: 1.5rem;
    /* Increased font size */
    transition: all 0.3s ease;
    box-sizing: border-box;
}


.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus {
    border: 0.25rem solid var(--blue3)
}

.contact .right form .textarea textarea {
    padding-top: 0.8rem;
    resize: none;
}

#send-message-btn-area {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-top: 1rem;
}

.contact-button-area button {
    width: 40% !important;
    max-width: 20rem;
    height: 4.5rem;
    /* Increased height */
    outline: none;
    font-size: 2rem;
    /* Increased font size */
    font-weight: 500;
    border-radius: 0.5rem;
    cursor: pointer;
    flex-wrap: nowrap;
    transition: all 0.3s ease;
}

.contact-button-area button:hover {
    font-size: 2.1rem;
}



.fa-paper-plane {
    margin-left: 0.04rem;
    margin-bottom: 0.2rem;
    font-size: 1rem;
}

#responseMessage {
    font-size: 1.5rem;
    font-style: italic;
    font-weight: bold;
}